{ config, lib, mkDomain, inputs, ... }:

let
  myStickerPicker = inputs.maunium-stickerpicker-nix.createStickerPicker {
    #homeserver = "https://matrix.pvv.ntnu.no";
    #userId = "@stickerbot:my.matrix.server";
    ## You should probably encrypt this with either agenix, sops-nix or whatever else
    #accessTokenFile = ./stickerbot_access_token.txt;
    #sha256 = "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=";
    packs = [
      {
        type = "chatsticker";
        name = "pompom-tao3";
      }
      {
        type = "directory";
        src = ./myHomemadeStickers;
      }
    ];
  };
in

{

  # TODO: https://gist.github.com/pbsds/a1b03eb8d5602330765b3fd14f621dc5
  # separate into separate FODs

}
